import multer from 'multer';
import fs from 'fs';
import path from 'path';


const storage = multer.diskStorage({
  destination: (req, file, cb) => {
    const destinationPath = './images';
    try {
      if (!fs.existsSync(destinationPath)) {
        fs.mkdirSync(destinationPath, { recursive: true });
      }
      cb(null, destinationPath);
    } catch (error) {
      cb(new Error(`Error creating directory: ${error.message}`));
    }
  },

  filename: (req, file, cb) => {
    const extension = path.extname(file.originalname);
    const filename = `${Date.now()}${extension}`;
    cb(null, filename);
  },
});

export const upload = multer({ storage: storage });
